From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pastel/
Date: Mon, 1 Jan 2024 09:32:14 +0000 (UTC) [thread overview]
Message-ID: <1704101529.41e93b8832105e8962f295a109cbaf0b75b572f9.graaff@gentoo> (raw)
commit: 41e93b8832105e8962f295a109cbaf0b75b572f9
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 1 08:15:10 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 1 09:32:09 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41e93b88
dev-ruby/pastel: update EAPI 7 -> 8
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/pastel/pastel-0.8.0-r1.ebuild | 31 +++++++++++++++++++++++++++++++
1 file changed, 31 insertions(+)
diff --git a/dev-ruby/pastel/pastel-0.8.0-r1.ebuild b/dev-ruby/pastel/pastel-0.8.0-r1.ebuild
new file mode 100644
index 000000000000..372c20ae05ff
--- /dev/null
+++ b/dev-ruby/pastel/pastel-0.8.0-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="pastel.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Terminal strings styling with intuitive and clean API"
+HOMEPAGE="https://github.com/piotrmurach/pastel"
+SRC_URI="https://github.com/piotrmurach/pastel/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/tty-color-0.5:0
+"
+
+all_ruby_prepare() {
+ echo '-rspec_helper' > .rspec || die
+ sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
next reply other threads:[~2024-01-01 9:32 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-01 9:32 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-03 11:48 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pastel/ Hans de Graaff
2024-07-11 16:19 Hans de Graaff
2024-06-01 5:41 Hans de Graaff
2023-03-18 0:02 Sam James
2022-04-18 6:20 Hans de Graaff
2022-04-18 6:20 Hans de Graaff
2022-01-03 9:41 Jakov Smolić
2021-12-31 20:07 Matt Turner
2021-10-10 0:05 Sam James
2021-10-10 0:05 Sam James
2021-09-27 5:08 Sam James
2021-09-15 2:32 Sam James
2021-09-09 4:22 Sam James
2021-08-15 19:51 Sam James
2021-08-03 15:42 Marek Szuba
2021-07-06 10:26 Hans de Graaff
2020-09-11 5:14 Hans de Graaff
2020-07-11 9:28 Hans de Graaff
2020-05-10 5:50 Hans de Graaff
2020-04-11 6:05 Hans de Graaff
2019-06-17 5:32 Hans de Graaff
2019-06-15 9:55 Hans de Graaff
2019-06-15 9:55 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1704101529.41e93b8832105e8962f295a109cbaf0b75b572f9.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox